# Intel C Code Builder For DOS

If you have compiler installed under `C:\ICC`, set the following environment variables:

```
SET CBPATH=C:\ICC
SET PATH=C:\ICC\BIN;%PATH%
```

If `icc` fails to find `C:\ICC\BIN\XMVM` and your system doesn't have the file, you can build your program with the `/xnovm` option.

```
icc /xnovm hello.c
```

Alternatively, you can extract the file from an existing ICC binary as shown in https://www.os2museum.com/wp/xmvm-surgery/ and place it under `C:\ICC\BIN`.

```
dd if=IC32.EXE of=XMVM skip=51385 bs=1 count=9440
```
